petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPChebyshevEstEigSetUseRandom

use a random right hand side in order to do the estimate instead of the given right hand side

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPChebyshevEstEigSetUseRandom(KSP ksp,PetscBool use)

Logically Collective

### Input Arguments

| ksp | - linear solver context
| use | - PETSC_TRUE to use random

### Options Database

| -ksp_chebyshev_esteig_random <true,false> | - Notes: This alledgely works better for multigrid smoothers

Use KSPChebyshevEstEigSetRandom() to provide the random number generator to be used. Otherwise it creates a default

### See Also

KSPChebyshevEstEigSet(), PetscRandomCreate(), KSPChebyshevEstEigSetRandom()

Level:intermediate
Location:src/ksp/ksp/impls/cheby/cheby.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages